# ShutterButton class

Configuration of the 'shutter' button.

## Constructors

ShutterButton({bool enabledInAutoSnappingMode = true, String accessibilityDescription = "?accessibilityDescriptionCameraShutterButton", ScanbotColor? outerColor, ScanbotColor? innerColor})
ShutterButton.fromJson(Map<String, dynamic> json)
  factory

## Properties

accessibilityDescription ↔ String
  The text to be read when the 'shutter' button is selected via the accessibility mode. Default is "?accessibilityDescriptionCameraShutterButton"
  getter/setter pair
enabledInAutoSnappingMode ↔ bool
  Determines if the 'shutter' button can be tapped to manually snap a document when 'auto snapping mode' is active. Default is true
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
innerColor ↔ ScanbotColor
  The inner color of the 'shutter' button. Default is "?sbColorOnPrimary"
  getter/setter pair
outerColor ↔ ScanbotColor
  The outer color of the 'shutter' button. Default is "?sbColorOnPrimary"
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited